---
title: "Query sales program group details"

doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/sales-plan-group/query-sales-program-group-details'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/sales-plan-group/query-sales-program-group-details.md'
---
# Query sales program group details

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_selling_plan_group`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /selling_plan_group/:selling_plan_group_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_selling_plan_group`

## Request

### Path Parameters

* `selling_plan_group_id`

  string (required)

  Sales plan group id

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `selling_plan_group`

  object

  Sales plan group details

  * `description`

    string

    Description

  * `id`

    string

    Sales plan group id

  * `options`

    array<string>

    List of sales plan group options

  * `app_id`

    string

    Sales channel id

  * `name`

    string

    Sales plan group name

  * `position`

    integer

    Display location

  * `merchant_code`

    string

    Show the name to the seller

  * `product_ids`

    array<string>

    product id list for binding

  * `selling_plans`

    array<object>

    Sales plan list

    * `billing_policy`

      object

      Billing strategy

      * `policy_type`

        string

        Strategy type : RECURRING - periodic billing strategy

      * `recurring`

        object

        Periodic billing strategy content

    * `description`

      string

      Sales plan description

    * `id`

      string

      Sales plan id

    * `name`

      string

      Sales plan name

    * `options`

      array<string>

      List of sales plan options

    * `position`

      integer

      Display position , the smaller the more front

    * `pricing_policies`

      array<object>

      Price policy

      * `fixed`

        object

        Fixed price policy content

      * `policy_type`

        string

        Strategy type : FIXED - fixed price strategy


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "externalDocs": {
    "description": "Permission point used by the interface is `read_selling_plan_group` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "MdttP5tG",
  "parameters": [
    {
      "name": "selling_plan_group_id",
      "in": "path",
      "description": "Sales plan group id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "selling_plan_group_id",
        "description": "Sales plan group id",
        "type": "string",
        "example": "14056200245844372441100010"
      },
      "example": "14056200245844372441100010",
      "examples": {
        "Query details": {
          "value": "14060881260524538485193144"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "selling_plan_group": {
                "name": "selling_plan_group",
                "description": "Sales plan group details",
                "type": "object",
                "properties": {
                  "description": {
                    "name": "description",
                    "description": "Description",
                    "type": "string",
                    "example": "This is a description"
                  },
                  "id": {
                    "name": "id",
                    "description": "Sales plan group id",
                    "type": "string",
                    "example": "14056200245844372441100009"
                  },
                  "options": {
                    "name": "options",
                    "description": "List of sales plan group options",
                    "type": "array",
                    "items": {
                      "name": "options",
                      "description": "List of sales plan group options",
                      "type": "string",
                      "example": "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                    },
                    "example": [
                      "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                    ]
                  },
                  "app_id": {
                    "name": "app_id",
                    "description": "Sales channel id",
                    "type": "string",
                    "example": "c41ac9e6736785502d2333d1b1153aca795075c4"
                  },
                  "name": {
                    "name": "name",
                    "description": "Sales plan group name",
                    "type": "string",
                    "example": "Subscription plan group default name"
                  },
                  "position": {
                    "name": "position",
                    "description": "Display location",
                    "type": "integer",
                    "example": 1
                  },
                  "merchant_code": {
                    "name": "merchant_code",
                    "description": "Show the name to the seller",
                    "type": "string",
                    "example": "Subscription plan group default name"
                  },
                  "product_ids": {
                    "name": "product_ids",
                    "description": "product id list for binding",
                    "type": "array",
                    "items": {
                      "name": "product_ids",
                      "description": "product id list for binding",
                      "type": "string",
                      "example": "[\"16057039432335097907370282\"]"
                    },
                    "example": [
                      "[\"16057039432335097907370282\"]"
                    ]
                  },
                  "selling_plans": {
                    "name": "selling_plans",
                    "description": "Sales plan list",
                    "type": "array",
                    "items": {
                      "name": "selling_plans",
                      "description": "Sales plan list",
                      "type": "object",
                      "properties": {
                        "billing_policy": {
                          "name": "billing_policy",
                          "description": "Billing strategy",
                          "type": "object",
                          "properties": {
                            "policy_type": {
                              "name": "policy_type",
                              "description": "Strategy type : RECURRING - periodic billing strategy",
                              "type": "string",
                              "example": "RECURRING"
                            },
                            "recurring": {
                              "name": "recurring",
                              "description": "Periodic billing strategy content",
                              "type": "object",
                              "properties": {
                                "min_cycles": {
                                  "name": "min_cycles",
                                  "description": "Minimum billing cycle",
                                  "type": "integer",
                                  "example": 0
                                },
                                "interval": {
                                  "name": "interval",
                                  "description": "Billing frequency unit : DAY、MONTH、WEEK、YEAR",
                                  "type": "string",
                                  "example": "DAY"
                                },
                                "interval_count": {
                                  "name": "interval_count",
                                  "description": "Billing interval , default is 1",
                                  "type": "integer",
                                  "example": 10
                                },
                                "max_cycles": {
                                  "name": "max_cycles",
                                  "description": "Maximum billing cycle",
                                  "type": "integer",
                                  "example": 1
                                }
                              },
                              "example": {
                                "interval_count": 10,
                                "max_cycles": 1,
                                "min_cycles": 0,
                                "interval": "DAY"
                              }
                            }
                          },
                          "example": {
                            "policy_type": "RECURRING",
                            "recurring": {
                              "interval_count": 10,
                              "max_cycles": 1,
                              "min_cycles": 0,
                              "interval": "DAY"
                            }
                          }
                        },
                        "description": {
                          "name": "description",
                          "description": "Sales plan description",
                          "type": "string",
                          "example": "This is a description"
                        },
                        "id": {
                          "name": "id",
                          "description": "Sales plan id",
                          "type": "string",
                          "example": "14156200245844372441120009"
                        },
                        "name": {
                          "name": "name",
                          "description": "Sales plan name",
                          "type": "string",
                          "example": "Delivery every 10 days\t"
                        },
                        "options": {
                          "name": "options",
                          "description": "List of sales plan options",
                          "type": "array",
                          "items": {
                            "name": "options",
                            "description": "List of sales plan options",
                            "type": "string",
                            "example": "[\"Delivery every 10 days\"]"
                          },
                          "example": [
                            "[\"Delivery every 10 days\"]"
                          ]
                        },
                        "position": {
                          "name": "position",
                          "description": "Display position , the smaller the more front",
                          "type": "integer",
                          "example": 1
                        },
                        "pricing_policies": {
                          "name": "pricing_policies",
                          "description": "Price policy",
                          "type": "array",
                          "items": {
                            "name": "pricing_policies",
                            "description": "Price policy",
                            "type": "object",
                            "properties": {
                              "fixed": {
                                "name": "fixed",
                                "description": "Fixed price policy content",
                                "type": "object",
                                "properties": {
                                  "adjustment_type": {
                                    "name": "adjustment_type",
                                    "description": "Discount type : FIXED_AMOUNT - minus , PERCENTAGE - discount",
                                    "type": "string",
                                    "example": "FIXED_AMOUNT"
                                  },
                                  "adjustment_value": {
                                    "name": "adjustment_value",
                                    "description": "Discount value",
                                    "type": "object",
                                    "properties": {
                                      "fixed_value": {
                                        "name": "fixed_value",
                                        "description": "Deduction fixed amount",
                                        "type": "string",
                                        "example": "10"
                                      },
                                      "percentage": {
                                        "name": "percentage",
                                        "description": "Subtraction percentage",
                                        "type": "string",
                                        "example": "10.5"
                                      }
                                    },
                                    "example": {
                                      "percentage": "10.5",
                                      "fixed_value": "10"
                                    }
                                  }
                                },
                                "example": {
                                  "adjustment_type": "FIXED_AMOUNT",
                                  "adjustment_value": {
                                    "fixed_value": "10",
                                    "percentage": "10.5"
                                  }
                                }
                              },
                              "policy_type": {
                                "name": "policy_type",
                                "description": "Strategy type : FIXED - fixed price strategy",
                                "type": "string",
                                "example": "FIXED"
                              }
                            },
                            "example": {
                              "policy_type": "FIXED",
                              "fixed": {
                                "adjustment_type": "FIXED_AMOUNT",
                                "adjustment_value": {
                                  "percentage": "10.5",
                                  "fixed_value": "10"
                                }
                              }
                            }
                          },
                          "example": [
                            {
                              "fixed": {
                                "adjustment_type": "FIXED_AMOUNT",
                                "adjustment_value": {
                                  "fixed_value": "10",
                                  "percentage": "10.5"
                                }
                              },
                              "policy_type": "FIXED"
                            }
                          ]
                        }
                      },
                      "example": {
                        "description": "This is a description",
                        "id": "14156200245844372441120009",
                        "name": "Delivery every 10 days\t",
                        "options": [
                          "[\"Delivery every 10 days\"]"
                        ],
                        "position": 1,
                        "pricing_policies": [
                          {
                            "policy_type": "FIXED",
                            "fixed": {
                              "adjustment_value": {
                                "fixed_value": "10",
                                "percentage": "10.5"
                              },
                              "adjustment_type": "FIXED_AMOUNT"
                            }
                          }
                        ],
                        "billing_policy": {
                          "policy_type": "RECURRING",
                          "recurring": {
                            "interval_count": 10,
                            "max_cycles": 1,
                            "min_cycles": 0,
                            "interval": "DAY"
                          }
                        }
                      }
                    },
                    "example": [
                      {
                        "name": "Delivery every 10 days\t",
                        "options": [
                          "[\"Delivery every 10 days\"]"
                        ],
                        "position": 1,
                        "pricing_policies": [
                          {
                            "policy_type": "FIXED",
                            "fixed": {
                              "adjustment_type": "FIXED_AMOUNT",
                              "adjustment_value": {
                                "fixed_value": "10",
                                "percentage": "10.5"
                              }
                            }
                          }
                        ],
                        "billing_policy": {
                          "policy_type": "RECURRING",
                          "recurring": {
                            "interval": "DAY",
                            "interval_count": 10,
                            "max_cycles": 1,
                            "min_cycles": 0
                          }
                        },
                        "description": "This is a description",
                        "id": "14156200245844372441120009"
                      }
                    ]
                  }
                },
                "example": {
                  "options": [
                    "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                  ],
                  "app_id": "c41ac9e6736785502d2333d1b1153aca795075c4",
                  "merchant_code": "Subscription plan group default name",
                  "position": 1,
                  "selling_plans": [
                    {
                      "name": "Delivery every 10 days\t",
                      "options": [
                        "[\"Delivery every 10 days\"]"
                      ],
                      "position": 1,
                      "pricing_policies": [
                        {
                          "fixed": {
                            "adjustment_type": "FIXED_AMOUNT",
                            "adjustment_value": {
                              "percentage": "10.5",
                              "fixed_value": "10"
                            }
                          },
                          "policy_type": "FIXED"
                        }
                      ],
                      "billing_policy": {
                        "policy_type": "RECURRING",
                        "recurring": {
                          "interval": "DAY",
                          "interval_count": 10,
                          "max_cycles": 1,
                          "min_cycles": 0
                        }
                      },
                      "description": "This is a description",
                      "id": "14156200245844372441120009"
                    }
                  ],
                  "id": "14056200245844372441100009",
                  "product_ids": [
                    "[\"16057039432335097907370282\"]"
                  ],
                  "description": "This is a description",
                  "name": "Subscription plan group default name"
                }
              }
            },
            "example": {
              "selling_plan_group": {
                "merchant_code": "Subscription plan group default name",
                "selling_plans": [
                  {
                    "description": "This is a description",
                    "id": "14156200245844372441120009",
                    "name": "Delivery every 10 days\t",
                    "options": [
                      "[\"Delivery every 10 days\"]"
                    ],
                    "position": 1,
                    "pricing_policies": [
                      {
                        "fixed": {
                          "adjustment_value": {
                            "fixed_value": "10",
                            "percentage": "10.5"
                          },
                          "adjustment_type": "FIXED_AMOUNT"
                        },
                        "policy_type": "FIXED"
                      }
                    ],
                    "billing_policy": {
                      "policy_type": "RECURRING",
                      "recurring": {
                        "max_cycles": 1,
                        "min_cycles": 0,
                        "interval": "DAY",
                        "interval_count": 10
                      }
                    }
                  }
                ],
                "description": "This is a description",
                "id": "14056200245844372441100009",
                "options": [
                  "[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"
                ],
                "position": 1,
                "product_ids": [
                  "[\"16057039432335097907370282\"]"
                ],
                "name": "Subscription plan group default name",
                "app_id": "c41ac9e6736785502d2333d1b1153aca795075c4"
              }
            }
          },
          "examples": {
            "Query details": {
              "value": {
                "selling_plan_group": {
                  "options": [
                    "delivery every 1 months"
                  ],
                  "product_ids": [
                    "16060878906566210188893144"
                  ],
                  "name": "Subscription plan group default name",
                  "id": "14060881260524538485193144",
                  "selling_plans": [
                    {
                      "billing_policy": {
                        "recurring": {
                          "min_cycles": 1,
                          "interval": "DAY",
                          "interval_count": 10,
                          "max_cycles": 1
                        },
                        "policy_type": "RECURRING"
                      },
                      "description": "This is a description",
                      "id": "14160881260524538485213144",
                      "name": "delivery every 1 weeks",
                      "options": [
                        "Delivery every 10 days"
                      ],
                      "position": 1,
                      "pricing_policies": [
                        {
                          "policy_type": "FIXED",
                          "fixed": {
                            "adjustment_value": {
                              "fixed_value": "10.00"
                            },
                            "adjustment_type": "FIXED_AMOUNT"
                          }
                        }
                      ]
                    }
                  ],
                  "merchant_code": "Subscription plan group default name",
                  "position": 1,
                  "app_id": "111afe2f9baceb93004af92b1276582619f1db26",
                  "description": "This is a description"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/selling_plan_group/:selling_plan_group_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query sales program group details",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_selling_plan_group"
  ]
}
```